Page MenuHomePhabricator

Constraint icons now smaller
Closed, ResolvedPublic

Description

The constraint violation icons have shrunk in size on the page. I suspect this is due to a recent OOui change (see this email).

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptApr 3 2018, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I can adjust the size of the icons rather quickly-ish. How urgent do you think this is?

Lucas_Werkmeister_WMDE triaged this task as Normal priority.Apr 9 2018, 3:17 PM

Not sure, but some users have already started to point out the different size. I guess “normal”?

Charlie_WMDE moved this task from Incoming to Incoming WD on the WMDE-Design board.May 7 2018, 3:14 PM

@Lucas_Werkmeister_WMDE We have newly sized icons ready, we need to find out how you want them to be exported to be of use.

They should be SVG files, though I might tweak them a bit before uploading them to Gerrit. (The current SVGs were, if I recall correctly, mostly hand-written by me to avoid auto-generated cruft, but of course based on the coordinates and objects in the SVG files I got from Hanna.)

Change 486087 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace constraint violation icons

https://gerrit.wikimedia.org/r/486087

Change 493449 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace constraint violation icons

https://gerrit.wikimedia.org/r/493449

Change 486087 abandoned by Lucas Werkmeister (WMDE):
Replace constraint violation icons

Reason:
replaced by I27d13eed55

https://gerrit.wikimedia.org/r/486087

Change 493449 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace constraint violation icons

https://gerrit.wikimedia.org/r/493449

Greta_Doci_WMDE closed this task as Resolved.Mar 28 2019, 10:27 AM
Greta_Doci_WMDE claimed this task.
Greta_Doci_WMDE removed Greta_Doci_WMDE as the assignee of this task.